## Name

auth_passwd — Change account's password

## Synopsis

#include <courierauth.h>

`int rc=auth_passwd(` | const char *service,
| const char *username,
| const char *oldpassword,
| const char *newpassword`)`;

## DESCRIPTION

If `username`'s password is `oldpassword`, it is replaced with `newpassword`. `service` identifies which so-called "service"'s password is changed; like “imap” or “pop3”. Some Courier authentication library's back-end module can use different passwords for different services. `service` is ignored if this is not the case.

## RETURNS

`auth_passwd` returns 0 if the password was successfully changed. A non-0 error code indicates a failure..

## SEE ALSO

authlib(3), auth_generic_meta(3), auth_login_meta(3), auth_getuserinfo_meta(3), auth_enumerate(3).